Subject: [quicwg/base-drafts] Érik Vyncke's Transport Comment 9 (#4532)

From: Lucas Pardue <[email-masked]>
Date: Tue, 05 Jan 2021 19:48:30 -0800

Érik Vyncke said:

> -- Section 9.1 --
> Can this mechanism also be used not only when changing of IP address but also
> of IP version ?
> 
> Did the QUIC WG/authors consider using happy eyeball (RFC 8305) to probe
> whether IPvfoo could become better than IPvbar regularly during a QUIC
> connection (using the preferred addresses) ?

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/issues/4532

---

From: Martin Thomson <[email-masked]>
Date: Wed, 06 Jan 2021 02:32:31 -0800

Yes, you can change IP version.  We don't explicitly say that, but we don't prevent it.  (You can even start on v4 and only provide a v6 preferred address if that is your preference.)

We explicitly permit probing of multiple paths, which extends to preferred addresses.  So if there are both versions present, you can probe both, with or without any bias as you like, and then select the one you like best.

Now, all of this is implicit.  I don't know how much of that needs to be advertised though.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/issues/4532#issuecomment-755220143

---

From: Lars Eggert <[email-masked]>
Date: Tue, 12 Jan 2021 00:15:45 -0800

I am reading this as "close with no action".

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/issues/4532#issuecomment-758486723

---

From: Lars Eggert <[email-masked]>
Date: Tue, 12 Jan 2021 01:42:34 -0800

Closed #4532.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/issues/4532#event-4194925175